using UnityEngine;
using BackEnd;		// ڳ SDK

public class BackendManager : MonoBehaviour
{
	private void Awake()
	{
		// Update() ޼ҵ Backend.AsyncPoll(); ȣ  Ʈ ı ʴ´
		DontDestroyOnLoad(gameObject);

		// ڳ  ʱȭ
		BackendSetup();
	}

	private void Update()
	{
		//  񵿱 ޼ҵ ȣ(ݹ Լ Ǯ)  ۼ
		//  : https://developer.thebackend.io/unity3d/guide/Async/AsyncFuncPoll/
		if ( Backend.IsInitialized )
		{
			Backend.AsyncPoll();
		}
	}

	private void BackendSetup()
	{
		// ڳ ʱȭ (ݹ Լ Ǯ Ϸ Ű true )
		var bro = Backend.Initialize(true);

		// ڳ ʱȭ  䰪
		if ( bro.IsSuccess() )
		{
			// ʱȭ   statusCode 204 Success
			Debug.Log($"ʱȭ  : {bro}");
		}
		else
		{
			// ʱȭ   statusCode 400  ߻
			Debug.LogError($"ʱȭ  : {bro}");
		}
	}
}

